POST
/
v4
/
sequences
/
{id}
/
contact-links
/
bulk
Bulk add contacts to sequence
curl --request POST \
  --url https://api.reply.io/v4/sequences/{id}/contact-links/bulk \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "contactIds": [
    123
  ],
  "removeFromExisting": false,
  "startStepId": 123
}
'
{
  "added": [
    123
  ],
  "notProcessed": {}
}

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header

Path Parameters

id
integer
required

Sequence ID

Body

application/json
contactIds
integer[]
required

Array of contact IDs to add

removeFromExisting
boolean
default:false

If true, contacts will be removed from their current sequences before being added to this one

startStepId
integer | null

Optional step ID to start from

Response

Contacts added to sequence

added
integer[]

IDs of successfully added contacts

notProcessed
object

Contacts that could not be added, keyed by contact ID